Bug 1071378 - [abrt] git-cola: core.py:186:wrapped:OSError: [Errno 2] No such file or directory: 'patches/0001-Fix-Accept-header-name-in-Slim-Middleware-ContentNeg.patch'
[abrt] git-cola: core.py:186:wrapped:OSError: [Errno 2] No such file or direc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: git-cola (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Aguilar
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f2fada7ec24f509347346cea272...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-28 10:54 EST by Parthkumar Bera
Modified: 2014-04-02 05:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: git-cola-2.0.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-02 05:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1007 bytes, text/plain)
2014-02-28 10:54 EST, Parthkumar Bera
no flags Details
File: environ (1.25 KB, text/plain)
2014-02-28 10:54 EST, Parthkumar Bera
no flags Details

  None (edit)
Description Parthkumar Bera 2014-02-28 10:54:10 EST
Version-Release number of selected component:
git-cola-1.9.4-1.fc20

Additional info:
reporter:       libreport-2.1.12
cmdline:        /usr/bin/python /bin/git-cola --prompt
executable:     /bin/git-cola
kernel:         3.13.4-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
core.py:186:wrapped:OSError: [Errno 2] No such file or directory: 'patches/0001-Fix-Accept-header-name-in-Slim-Middleware-ContentNeg.patch'

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/models/browse.py", line 377, in run
    GitRepoInfoEvent(Columns.MESSAGE, self.data('message')))
  File "/usr/share/git-cola/lib/cola/models/browse.py", line 321, in data
    self._data['date'] = self.date()
  File "/usr/share/git-cola/lib/cola/models/browse.py", line 338, in date
    st = core.stat(self.path)
  File "/usr/share/git-cola/lib/cola/core.py", line 186, in wrapped
    return decorator(fn(action(*args, **kwargs)))
OSError: [Errno 2] No such file or directory: 'patches/0001-Fix-Accept-header-name-in-Slim-Middleware-ContentNeg.patch'

Local variables in innermost frame:
action: <function encode at 0x1c4c410>
args: (u'patches/0001-Fix-Accept-header-name-in-Slim-Middleware-ContentNeg.patch',)
decorator: <function <lambda> at 0x1c4d9b0>
fn: <built-in function stat>
kwargs: {}
Comment 1 Parthkumar Bera 2014-02-28 10:54:16 EST
Created attachment 869104 [details]
File: backtrace
Comment 2 Parthkumar Bera 2014-02-28 10:54:19 EST
Created attachment 869105 [details]
File: environ
Comment 3 David Aguilar 2014-03-16 04:57:24 EDT
I've fixed this upstream. It'll be in the next release (imminent)
Comment 4 Fedora Update System 2014-03-20 23:15:00 EDT
git-cola-2.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/git-cola-2.0.1-1.fc20
Comment 5 Fedora Update System 2014-03-20 23:15:13 EDT
git-cola-2.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/git-cola-2.0.1-1.fc19
Comment 6 Fedora Update System 2014-03-22 01:06:57 EDT
Package git-cola-2.0.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-cola-2.0.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4198/git-cola-2.0.1-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-04-02 05:06:59 EDT
git-cola-2.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-04-02 05:25:33 EDT
git-cola-2.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.